import request from '@/utils/request'
import { BASE } from './apiGateway'

export function selectItemsByHospital(params) {
    return request({
        url: `${BASE}/patient/doorCoach/serviceOrder/selectItemsByHospital`,
        method: 'get',
        params
    })
}

export function createCoach(data){
    return request({
        url: `${BASE}/patient/doorCoach/serviceOrder/create`,
        method: 'post',
        data
    })
}

export function cancelCoachOrder(data) {
    return request({
        url: `${BASE}/patient/doorCoach/serviceOrder/cancelOrder`,
        method: 'post',
        data
    })
}

export function getCoachOrder(params){
    return request({
        url: `${BASE}/patient/doorCoach/serviceOrder/getByOrderId`,
        method: 'get',
        params
    })
}

export function topStatusBarNum(params) {
    return request({
        url: `${BASE}/patient/doorCoach/serviceOrder/topStatusBarNum`,
        method: 'get',
        params
    })
}

export function getDoorOrderList(params) {
    return request({
        url: `${BASE}/patient/doorCoach/serviceOrder/getDoorOrderList`,
        method: 'get',
        params
    })
}